from django.urls import path, re_path
from bet import views

urlpatterns = [
    path('',
         views.LoginView.as_view(),
         name='login'),
    path('logout/',
         views.logout_view,
         name='logout'),

    path('home',
         views.HomeView.as_view(),
         name='home'),
    path('matches',
         views.MatchesView.as_view(),
         name='matches'),
    path('predictions',
         views.BetsView.as_view(),
         name='my_bets'),

    path('leaderboard',
         views.LeaderboardView.as_view(),
         name='leaderboard'),
    path('leaderboard-departments',
         views.DepartmentLeaderboardView.as_view(),
         name='department-leaderboard'),
    path('leaderboard-departments/<str:d>',
         views.UserDepartmentLeaderboardView.as_view(),
         name='user-department-leaderboard'),
    path('leaderboard-locations',
         views.LocationLeaderboardView.as_view(),
         name='location-leaderboard'),

    path('results',
         views.MatchResultsView.as_view(),
         name='match_results'),
    path('prediction/<int:pk>/',
         views.BetCreate.as_view(),
         name='add_bet'),
    path('predictions/<int:pk>/',
         views.AllBetsView.as_view(),
         name='all_bets'),
    path('championship-prediction/',
         views.SuperBetCreate.as_view(),
         name='add_super_bet'),
]
